# glob

    number glob(text, pattern)

Returns 1 if text matches the glob pattern, 0 if not.

Glob, or “blobbing”, is a type of pattern matching based on wildcard characters.

Pattern symbols with special meaning:

Symbol | Match
--- | ---
? | Match one unknown character
* | Match zero or more unknown characters
\ | Avoid interpreting the following wildcard symbol

## Parameters

1. text — text to be matched.
2. pattern — glob pattern.

## Returns

- 1 if the text matches pattern, 0 otherwise.